Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface Registration

All Known Subinterfaces:
  FilterRegistration, FilterRegistration.Dynamic, Registration.Dynamic, ServletRegistration, ServletRegistration.Dynamic

    public interface Registration

Since:
  Servlet 3.0 $Id: Registration.java 981816 2010-08-03 10:44:58Z markt $ TODO SERVLET3 - Add comments

Nested Class Summary
`static interface` | `Registration.Dynamic`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.String>` | `getInitParameters()`
`java.lang.String` | `getName()`
`boolean` | `setInitParameter(java.lang.String name, java.lang.String value)`
`java.util.Set<java.lang.String>` | `setInitParameters(java.util.Map<java.lang.String,java.lang.String> initParameters)`

Method Detail

### getName

    java.lang.String getName()

### getClassName

    java.lang.String getClassName()

### setInitParameter

    boolean setInitParameter(java.lang.String name,
                             java.lang.String value)

  Parameters:
    `name` -
    `value` -
  Returns:
    TODO
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### getInitParameter

    java.lang.String getInitParameter(java.lang.String name)

### setInitParameters

    java.util.Set<java.lang.String> setInitParameters(java.util.Map<java.lang.String,java.lang.String> initParameters)

  Parameters:
    `initParameters` -
  Returns:
    TODO
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### getInitParameters

    java.util.Map<java.lang.String,java.lang.String> getInitParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.